/**
 * User: Clinton Begin
 * Date: Jul 13, 2003
 * Time: 8:19:08 PM
 */
package com.ibatis.jpetstore.persistence.dao.iface;

import com.ibatis.db.dao.*;
import com.ibatis.jpetstore.domain.*;
import com.ibatis.common.util.*;

public interface ProductDao {
  PaginatedList getProductListByCategory(String categoryId)
      throws DaoException;

  Product getProduct(String productId) throws DaoException;

  PaginatedList searchProductList(String keywords)
      throws DaoException;
}
